package shenikan

// Tips: in python run
//
// import gensim.downloader
// model = gensim.downloader.load("glove-wiki-gigaword-50") # or other models @https://github.com/piskvorky/gensim-data
//
// Then find words related to what you want in model[] and do math on them.
// Then search through model to find nearby vectors using model.most_similar.
// e.g. model.most_similar(model['aunt'] - model['woman'] + model['man'])

dictionary: {
	_glyphs: {
		vowel: "i": ["outer"]
		vowel: "e": ["outer", "slashed"]
		vowel: "a": ["slashed"]
		vowel: "o": ["inner", "slashed"]
		vowel: "u": ["inner"]
		vowel: "y": ["both"]

		cluster: "θ": ["left", "top"]
		cluster: "∫": ["left", "middle"]
		cluster: "x": ["left", "bottom"]
		cluster: "n": ["center", "middle"]
		cluster: "p": ["right", "top"]
		cluster: "t": ["right", "middle"]
		cluster: "k": ["right", "bottom"]
		cluster: "θl": ["left", "top", "tall"]
		cluster: "∫l": ["left", "middle", "tall"]
		cluster: "xl": ["left", "bottom", "tall"]
		cluster: "nl": ["center", "middle", "tall"]
		cluster: "pl": ["right", "top", "tall"]
		cluster: "tl": ["right", "middle", "tall"]
		cluster: "kl": ["right", "bottom", "tall"]
		cluster: "θr": ["left", "top", "wide"]
		cluster: "∫r": ["left", "middle", "wide"]
		cluster: "xr": ["left", "bottom", "wide"]
		cluster: "nr": ["center", "middle", "wide"]
		cluster: "pr": ["right", "top", "wide"]
		cluster: "tr": ["right", "middle", "wide"]
		cluster: "kr": ["right", "bottom", "wide"]
		cluster: "sθ": ["left", "top", "both"]
		cluster: "s∫": ["left", "middle", "both"]
		cluster: "sx": ["left", "bottom", "both"]
		cluster: "sn": ["center", "middle", "both"]
		cluster: "sp": ["right", "top", "both"]
		cluster: "st": ["right", "middle", "both"]
		cluster: "sk": ["right", "bottom", "both"]

		punctuation: "«": ["left"]
		punctuation: ".": []
		punctuation: "»": ["right"]
	}

	_dialects: {
		"jukashenikan": {
			"x": "ç"
			"p": "j"
		}

		"gazhenigan": {
			"k": "g"
			"∫": "ʒ"
			"s": "z"
			"θ": "ð"
			"t": "d"
		}
	}

	_words: {
		"t": {
			noun: "thing": "See t - dmPenta for better meaning."
			verb: "be"
		}
	}

	_pentas: {
		"n x": {
			// name: "Pronouns"
			extremes: {i: "Fully proximal", u: "Fully distal"}

			i: pronoun: "I/me"
			o: {}
		}
	}

	_icosas: {
		"n t x": {
			name: "Tests"
			ii: noun: "foo"
		}
	}
}
